<?php
/**
 * README
 *
 * This is the README file for Communicator.<br>
 * Release     2.0.3<br>
 * 
 * Authors: Stefan Granholm (http://www.granholmcms.com), Erik Damke (commqc20@jocoflex.com)
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * README
 * (function definition required by phpDocumentor)
 */
function README()
{
/*

***************************
******* Communicator *********
Simple Newsletter Component
******************************

License:
-------------------------
GNU / GPL (see LICENSE.php)

Authors:
-------------------------
This component has many fathers and mothers. Details see CREDITS.php


Requirements / Prerequisites
-------------------------
1) PHP 5.2.3 (preferable better than 5.2.6)
   Note: No support for Communicator running on PHP 4. PHP 4.x had an end-of-life on 8/8/2008
         and since then, PHP 4 does not have critical security upgrades anymore.
2) mySQL version 4.1.2 and up. Lower versions do not support utf-8.
3) Joomla 1.5.7 or later.
4) A mail server

The mail setup of the Joomla global configuration will be used!


Preparation:
-------------------------

1) Have Joomla up and running
2) Login to Backend
3) Deinstall Communicator Component versions prior 2.0.0RC1 (1.7.x and before).


Installation:
-------------------------

1) Install the component with Joomla's Component Installer.
   Note: Starting with version 2.0.0RC3 the component installation updates and existing
         Communicator instance, leave existing configuration settings as-is.
2) Install your prefered Communicator Language Pack.
3) Install the optional Subscribe Module


Newsletter Management:
-------------------------
Just go to "Communicator" => "Newsletter Management" and create a new Newsletter.
Send it by clicking on "Send To" in the Newsletter List. After that you will see a confirmation page
where you can select a group of recepients to send the newsletter to.

Images in the HTML Message will be COMPLETELY embedded into the Email.
Please be aware of the fact that images grow in size when embedded in emails because base64 encoding.


Subscriber Management:
-------------------------
Just go to "Communicator" => "Subscriber Management". There you can add, edit and delete subscribers.

You can also Import YaNC / MaMML Export Lists. Note that Letterman doesn't use the "receive_html" field.
(Users that can't read HTML, will automatically see the alternative Text body. That's not dramatic.)
But because of that you will probably not be able to use Letterman Subscriber Export Lists with the YaNC / MaMML
Import Feature.
The import format for CSV files is defined as:
"Adam Example","adam.example@hotmail.us"
or
"Eve Example";"eve.example@hotmail.com"

Note: The import function expects the CSV being encoded in UTF-8.


Facts you better know of:
-------------------------
* If you have chosen to embed images into the mail (see configuration):
	all Images in HTML will be embedded into the email, but not remote Images.
* You can use a "subscribe module" for Communicator, which shows a simple subscription form. Do
  not use YaNC, MaMML or other subscribe modules. they won't fit...
* Communicator uses the default Joomla Mail configuration - either mail(), sendmail or smtp sending.
* Communicator doesn't allow you to manage multiple Mailing Lists - most users don't need that feature
* when sending a mail with the [NAME] tag in it, all recipients will receive an email (it will be sent out again and again, using To:).
* when sending a mail without the [NAME] tag in it, one email will be sent to the site owner, all other recepients are "BCC".

* you can configure (for english installations) some email texts / footers in /administrator/components/language/en-GB/en-GB.com_communicator.ini


That's all.
Thanks to Soeren Eberhardt, Mark Lindeman, Adam van Dongen and Stefan Grandholm for the work on their components, this component is based of.
Thanks also to all translators for the language support.
For the complete list of all supporters see CREDITS.php.


Have Fun,
	Erik Damke

*/
}
//-- End-Of-File