<?php
/**
 * Project     Newsletter for Joomla 1.5.x
 * Release     2.0.3
 * @package    Communicator
 * @subpackage Component
 * @version    $Id$ - accesslist.php
 * @link       http://joomlacode.org/gf/project/communicator/
 * @copyright  Copyright 2009 Erik Damke - All rights reserved
 * @license    http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php for details
 *
 * @Author     Erik Damke (commqc20@jocoflex.com)
 */

// Ensure this file is included via Joomla Framework
defined('_JEXEC') or die('Restricted access');


class JElementAccessList extends JElement
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	var	$_name = 'AccessList';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$acl =& JFactory::getACL();
		$grpTree = $acl->get_group_children_tree( null, 'USERS', false );		
		
		$temp = new stdClass();
      $temp->value = '0';
      $temp->text =  '-- '.JText::_( 'No User' ).' --';
      $temp->disabled = false;
      $grpTree = array_merge(array($temp), $grpTree);

		return JHTML::_('select.genericlist',   $grpTree, $control_name.'['.$name.']', 'id="'.$control_name.$name.'"', 'value', 'text', $value );
	}
}