<?php
/**
 * Project  	Newsletter for Joomla 1.5.x
 * Release     2.0.x
 * @package		Communicator
 * @subpackage Component
 * @version		$Id$
 * @link 		http://joomlacode.org/gf/project/communicator/
 * @copyright	Copyright (c) 2008 Stefan Granholm, Copyright 2009 Erik Damke - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php for details
 *
 * Authors: Stefan Granholm (http://www.granholmcms.com), Erik Damke (commjed@jocomail.de)
 */

// Ensure this file is included via Joomla Framework
defined('_JEXEC') or die('Restricted access');

// load Version Class for this Communicator instance
require_once( JPATH_SITE.'/administrator/components/com_communicator/version.communicator.php');

/**
 * Executes additional installation processes
 *
 */
function com_install()
{
$CmVersion = new CM_comVersion();
?>
<center>
<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
	<tr>
		<td valign="top"><img src="<?php echo JURI::root().$CmVersion->LOGOFILE; ?>"
			height="34" width="350" alt="Communicator Logo" align="left"></td>
		<td valign="top" width="100%"><strong><?php echo $CmVersion->getProductVersion();?></strong> (based on Letterman)<br />
		Provided to you by Stefan Granholm and Erik Damke.
		<br />
		Released under the terms and conditions of the <a
			href="http://www.gnu.org/licenses/gpl-2.0.html" target="_blank">GNU
		General Public License</a>.</td>
	</tr>
</table>
</center>
<?php
}
?>
