<?php
/**
 * Project     Newsletter for Joomla 1.5.x
 * Release     2.0.x
 * @package    Communicator
 * @subpackage Component
 * @version    $Id$
 * @link       http://joomlacode.org/gf/project/communicator/
 * @copyright  Copyright (c) 2008-2009 Erik Damke - All rights reserved
 * @license    http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php for details
 *
 * @Author:    Erik Damke (commjed@jocomail.de)
 */

// Ensure this file is included via Joomla Framework
defined('_JEXEC') or die('Restricted access');

require_once( JApplicationHelper::getPath( 'toolbar_html' ) );

switch ( $task ) {

	case 'new':
	case 'edit':
		TOOLBAR_communicator::EDIT_MENU();
		break;
	case 'compose':
		TOOLBAR_communicator::COMPOSE_MENU();
		break;
	case 'composeNow':
		TOOLBAR_communicator::CONFIRM_COMPOSE_MENU();
		break;
	case 'sendNow':
		TOOLBAR_communicator::SEND_MENU();
		break;

	case 'importSubscribers':
		TOOLBAR_communicator::SUBSCRIBER_IMPORT_MENU();
		break;

	case 'subscribers':
	case 'deleteSubscriber':
		TOOLBAR_communicator::SUBSCRIBE_MENU();
		break;
	case 'assignUsers':
	case 'editSubscriber':
		TOOLBAR_communicator::SUBSCRIBER_EDIT_MENU();
		break;
	case 'config':
		TOOLBAR_communicator::CONFIG_MENU();
		break;
	default:
		TOOLBAR_communicator::DEFAULT_MENU();
		break;
}
?>
