<?php
/**
 * Project  	Newsletter for Joomla 1.5.x
 * Release    	2.0.x
 * @package		Communicator
 * @subpackage	Subscribe Module
 * @version		$Id$
 * @author		Stefan Granholm (http://www.granholmcms.com), Erik Damke (commjed@jocomail.de)
 * @link 		http://joomlacode.org/gf/project/communicator/
 * @copyright	Copyright (c) 2008 Stefan Granholm, Copyright 2009 Erik Damke - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 */

/*
 * This program is free software; under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
defined('_JEXEC') or die('Restricted access');

/**
 * Configuration
 * ------------------
 */
global $mainframe;

$database=& JFactory::getDBO();
$user    =& JFactory::getUser();      // get current user

if(!file_exists(JPATH_SITE . '/components/com_communicator/communicator.php'))
   {
   echo JText::_('This module requires the Communicator component');
   }
else {

   // Include the syndicate functions only once
   require_once (dirname(__FILE__).DS.'helper.php');

   require_once( JPATH_SITE . '/components/com_communicator/communicator.class.php');

   require(JModuleHelper::getLayoutPath('mod_communicatorsubscribe'));
}
